Create patient
curl --request POST \
--url https://api.openloophealth.com/v0.1/patients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"last_name": "<string>",
"active": true,
"first_name": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"deceased_boolean": true,
"deceased_date_time": "2023-11-07T05:31:56Z",
"addresses": [
{
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"marital_status": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"general_practitioner_ids": [
"<string>"
]
}
'import requests
url = "https://api.openloophealth.com/v0.1/patients"
payload = {
"last_name": "<string>",
"active": True,
"first_name": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"deceased_boolean": True,
"deceased_date_time": "2023-11-07T05:31:56Z",
"addresses": [
{
"text": "<string>",
"line": ["<string>"],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"marital_status": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"general_practitioner_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
last_name: '<string>',
active: true,
first_name: '<string>',
middle_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
birth_date: '<string>',
deceased_boolean: true,
deceased_date_time: '2023-11-07T05:31:56Z',
addresses: [
{
text: '<string>',
line: ['<string>'],
city: '<string>',
district: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
}
],
marital_status: [{code: '<string>', system: '<string>', display: '<string>'}],
general_practitioner_ids: ['<string>']
})
};
fetch('https://api.openloophealth.com/v0.1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/patients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'last_name' => '<string>',
'active' => true,
'first_name' => '<string>',
'middle_name' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'birth_date' => '<string>',
'deceased_boolean' => true,
'deceased_date_time' => '2023-11-07T05:31:56Z',
'addresses' => [
[
'text' => '<string>',
'line' => [
'<string>'
],
'city' => '<string>',
'district' => '<string>',
'state' => '<string>',
'postal_code' => '<string>',
'country' => '<string>'
]
],
'marital_status' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'general_practitioner_ids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/patients"
payload := strings.NewReader("{\n \"last_name\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"deceased_boolean\": true,\n \"deceased_date_time\": \"2023-11-07T05:31:56Z\",\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"marital_status\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"general_practitioner_ids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/patients")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"last_name\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"deceased_boolean\": true,\n \"deceased_date_time\": \"2023-11-07T05:31:56Z\",\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"marital_status\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"general_practitioner_ids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/patients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"last_name\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"deceased_boolean\": true,\n \"deceased_date_time\": \"2023-11-07T05:31:56Z\",\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"marital_status\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"general_practitioner_ids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"active": true,
"addresses": [
{
"use": "home",
"type": "postal",
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"general_practitioner_ids": [
"<string>"
],
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"gender": "male",
"birth_date": "<string>",
"deceased_boolean": true,
"deceased_date_time": "2023-11-07T05:31:56Z",
"marital_status": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"managing_organization_id": "<string>",
"tenant_organization_id": "<string>",
"tenant_organization_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Patients
Create patient
Create a patient record in your organization. A patient is the anchor for their encounters, documents, and orders, which reference a patient id.
POST
/
patients
Create patient
curl --request POST \
--url https://api.openloophealth.com/v0.1/patients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"last_name": "<string>",
"active": true,
"first_name": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"deceased_boolean": true,
"deceased_date_time": "2023-11-07T05:31:56Z",
"addresses": [
{
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"marital_status": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"general_practitioner_ids": [
"<string>"
]
}
'import requests
url = "https://api.openloophealth.com/v0.1/patients"
payload = {
"last_name": "<string>",
"active": True,
"first_name": "<string>",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"birth_date": "<string>",
"deceased_boolean": True,
"deceased_date_time": "2023-11-07T05:31:56Z",
"addresses": [
{
"text": "<string>",
"line": ["<string>"],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"marital_status": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"general_practitioner_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
last_name: '<string>',
active: true,
first_name: '<string>',
middle_name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
birth_date: '<string>',
deceased_boolean: true,
deceased_date_time: '2023-11-07T05:31:56Z',
addresses: [
{
text: '<string>',
line: ['<string>'],
city: '<string>',
district: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
}
],
marital_status: [{code: '<string>', system: '<string>', display: '<string>'}],
general_practitioner_ids: ['<string>']
})
};
fetch('https://api.openloophealth.com/v0.1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/patients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'last_name' => '<string>',
'active' => true,
'first_name' => '<string>',
'middle_name' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'birth_date' => '<string>',
'deceased_boolean' => true,
'deceased_date_time' => '2023-11-07T05:31:56Z',
'addresses' => [
[
'text' => '<string>',
'line' => [
'<string>'
],
'city' => '<string>',
'district' => '<string>',
'state' => '<string>',
'postal_code' => '<string>',
'country' => '<string>'
]
],
'marital_status' => [
[
'code' => '<string>',
'system' => '<string>',
'display' => '<string>'
]
],
'general_practitioner_ids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/patients"
payload := strings.NewReader("{\n \"last_name\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"deceased_boolean\": true,\n \"deceased_date_time\": \"2023-11-07T05:31:56Z\",\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"marital_status\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"general_practitioner_ids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/patients")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"last_name\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"deceased_boolean\": true,\n \"deceased_date_time\": \"2023-11-07T05:31:56Z\",\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"marital_status\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"general_practitioner_ids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/patients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"last_name\": \"<string>\",\n \"active\": true,\n \"first_name\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"birth_date\": \"<string>\",\n \"deceased_boolean\": true,\n \"deceased_date_time\": \"2023-11-07T05:31:56Z\",\n \"addresses\": [\n {\n \"text\": \"<string>\",\n \"line\": [\n \"<string>\"\n ],\n \"city\": \"<string>\",\n \"district\": \"<string>\",\n \"state\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"country\": \"<string>\"\n }\n ],\n \"marital_status\": [\n {\n \"code\": \"<string>\",\n \"system\": \"<string>\",\n \"display\": \"<string>\"\n }\n ],\n \"general_practitioner_ids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"active": true,
"addresses": [
{
"use": "home",
"type": "postal",
"text": "<string>",
"line": [
"<string>"
],
"city": "<string>",
"district": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"general_practitioner_ids": [
"<string>"
],
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"gender": "male",
"birth_date": "<string>",
"deceased_boolean": true,
"deceased_date_time": "2023-11-07T05:31:56Z",
"marital_status": [
{
"code": "<string>",
"system": "<string>",
"display": "<string>"
}
],
"managing_organization_id": "<string>",
"tenant_organization_id": "<string>",
"tenant_organization_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"error_code": "<string>"
},
"request_id": "<string>"
}Authorizations
serviceTokenuserToken
Body
application/json

